libzypp 17.37.10

socket_p.h File Reference
`#include <zypp-core/zyppng/io/socket.h>`
`#include <zypp-core/zyppng/io/private/iobuffer_p.h>`
`#include <zypp-core/zyppng/base/socketnotifier.h>`
`#include <zypp-core/zyppng/base/Timer>`
`#include "iodevice_p.h"`
`#include <variant>`

Go to the source code of this file.

## Classes
class | zyppng::SocketPrivate
struct | zyppng::SocketPrivate::InitialState
struct | zyppng::SocketPrivate::ConnectingState
struct | zyppng::SocketPrivate::ConnectedState
struct | zyppng::SocketPrivate::ListeningState
struct | zyppng::SocketPrivate::ClosingState
struct | zyppng::SocketPrivate::ClosedState

## Namespaces
namespace | zyppng